package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：网页
 */
class WebPageTask constructor(var type: Int?) : RxDataAsyncTask<String, ResultEntity<String>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<String>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("type" to type)
        return RetrofitHelper.api.webPage(Encryption.encryption(params))
    }
}
